Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor.html
Class HCardName

    java.lang.Object
      org.apache.any23.extractor.html.HCardName

    public class HCardName

extends Object

An HCard name, consisting of various parts. Handles computation of full names from first and last names, and similar computations.

Author:
  Richard Cyganiak (richard@cyganiak.de)

Field Summary
`static String` | `ADDITIONAL_NAME`
`static String` | `FAMILY_NAME`
`static String[]` | `FIELDS`
`static String` | `GIVEN_NAME`
`static String` | `HONORIFIC_PREFIX`
`static String` | `HONORIFIC_SUFFIX`
`static String` | `NICKNAME`

Constructor Summary
`HCardName()`

Method Summary
`boolean` | `containsField(String fieldName)`
`HTMLDocument.TextField` | `getField(String fieldName)`
`Collection<HTMLDocument.TextField>` | `getFields(String fieldName)`
`HTMLDocument.TextField` | `getFullName()`
`HTMLDocument.TextField` | `getOrganization()`
`HTMLDocument.TextField` | `getOrganizationUnit()`
`boolean` | `hasAnyField()`
`boolean` | `hasField(String fieldName)`
`boolean` | `isMultiField(String fieldName)`
`void` | `reset()` Resets the content of the HName fields.
`void` | `setField(String fieldName, HTMLDocument.TextField nd)`
`void` | `setFullName(HTMLDocument.TextField nd)`
`void` | `setOrganization(HTMLDocument.TextField nd)`
`void` | `setOrganizationUnit(HTMLDocument.TextField nd)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GIVEN_NAME

    public static final String GIVEN_NAME

See Also:
  Constant Field Values

### FAMILY_NAME

    public static final String FAMILY_NAME

See Also:
  Constant Field Values

### ADDITIONAL_NAME

    public static final String ADDITIONAL_NAME

See Also:
  Constant Field Values

### NICKNAME

    public static final String NICKNAME

See Also:
  Constant Field Values

### HONORIFIC_PREFIX

    public static final String HONORIFIC_PREFIX

See Also:
  Constant Field Values

### HONORIFIC_SUFFIX

    public static final String HONORIFIC_SUFFIX

See Also:
  Constant Field Values

### FIELDS

    public static final String[] FIELDS

Constructor Detail

### HCardName

    public HCardName()

Method Detail

### reset

    public void reset()

  Resets the content of the HName fields.

### setField

    public void setField(String fieldName,
                         HTMLDocument.TextField nd)

### setFullName

    public void setFullName(HTMLDocument.TextField nd)

### setOrganization

    public void setOrganization(HTMLDocument.TextField nd)

### isMultiField

    public boolean isMultiField(String fieldName)

### containsField

    public boolean containsField(String fieldName)

### getField

    public HTMLDocument.TextField getField(String fieldName)

### getFields

    public Collection<HTMLDocument.TextField> getFields(String fieldName)

### hasField

    public boolean hasField(String fieldName)

### hasAnyField

    public boolean hasAnyField()

### getFullName

    public HTMLDocument.TextField getFullName()

### getOrganization

    public HTMLDocument.TextField getOrganization()

### setOrganizationUnit

    public void setOrganizationUnit(HTMLDocument.TextField nd)

### getOrganizationUnit

    public HTMLDocument.TextField getOrganizationUnit()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.